from sqlalchemy import  Column, Integer,String,DateTime,func,ForeignKey
from app import db
from sqlalchemy.ext.declarative import declarative_base

Base: declarative_base = db.Model

class Gateways(Base):
    __tablename__ = "gateways"
    gateway_id = Column(Integer, primary_key=True)
    gateway_name = Column(String, nullable=True)
    zone_id = Column(Integer, ForeignKey('zone.zone_id'))
    room_id = Column(Integer, ForeignKey('rooms.id'))
    site_id = Column(Integer, ForeignKey('sites.site_id', ondelete='CASCADE'))
    gateway_mac_address = Column(String, nullable=False)
    x_coordinate = Column(String, nullable=False)
    y_coordinate = Column(String, nullable=False)
    created_at = Column(DateTime(timezone=True), default=func.now())
    updated_at = Column(DateTime(timezone=True), default=func.now(),onupdate=func.now())
    

